declare function arrayToAsyncIterable<T>(array: T[]): AsyncIterable<T>;
declare function asyncIterableBatchProcessor<T, K>(items: AsyncIterable<T> | Iterable<T>, batchProcess: (arg: T[]) => Promise<K>, batchSize?: number): Promise<void>;
declare function asyncIterableToArray<T>(asyncIterable: AsyncIterable<T>): Promise<any[]>;
declare function createAsyncIterable<T>(data: T[]): AsyncIterable<T>;
export { arrayToAsyncIterable, asyncIterableBatchProcessor, asyncIterableToArray, createAsyncIterable, };
